this.name        = "telescope_refundeq";
this.author      = "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Refund an equipment if undamaged and not cheaply repaired only.";
this.version     = "1.0";

this.allowAwardEquipment = function( eqKey, ship, context )
{   
    "use strict";
    if( context !== "purchase" ) 	return false;
    var ps = player && player.ship;
    if( ship !== ps )            	return false;
    var actualEq = eqKey,
        endsWith = '',
        parsed = eqKey.split( '_' );
    if( parsed.length === 3 ) {
        actualEq = parsed[ 0 ] + '_' + parsed[ 1 ];
        endsWith = parsed[ 2 ];
    }
    if( !endsWith ) 				return false;   // will be '' if there's only 1 '_'
    let status = ps.equipmentStatus( actualEq );
    if( status !== 'EQUIPMENT_OK' ) return false;  // must repair before you sell 
    var ws = worldScripts.telescope;
    if(      eqKey === "EQ_GRAVSCANNER2_REFUND" )   return ws.$FixedGS !== 1; // these have no equipment that
    else if( eqKey === "EQ_SMALLDISH_REFUND" )      return ws.$FixedSD !== 1; // requires them, so we are free
    else if( eqKey === "EQ_LARGEDISH_REFUND" )      return ws.$FixedLD !== 1; // to sell them if fully repaired
    else if( eqKey === "EQ_TELESCOPE_REFUND" ) {
        if( ps.equipmentStatus( "EQ_TELESCOPEEXT" ) === "EQUIPMENT_UNAVAILABLE" ) // must sell ext first
            return ws.$FixedTel !== 1;	// can sell only if fully repaired
        return false;
    } else if( eqKey === "EQ_TELESCOPEEXT_REFUND" ) {
        if( ps.equipmentStatus( "EQ_GRAVSCANNER" ) === "EQUIPMENT_UNAVAILABLE" )  // must sell gravity scanner first
			return ws.$FixedTel !== 1;	// can sell only if fully repaired
        return false;
    } else if( eqKey === "EQ_GRAVSCANNER_REFUND" ) {							// must sell add-ons first
        if( ps.equipmentStatus( "EQ_LARGEDISH" )    !== "EQUIPMENT_UNAVAILABLE" ) return false;
        if( ps.equipmentStatus( "EQ_SMALLDISH" )    !== "EQUIPMENT_UNAVAILABLE" ) return false;
        if( ps.equipmentStatus( "EQ_GRAVSCANNER2" ) !== "EQUIPMENT_UNAVAILABLE" ) return false;
        return ws.$FixedGS !== 1;		// can sell only if fully repaired
    }
    return false;
}
